//
//  GBActivityWindowController.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 9/21/09.
//  Copyright 2009 Immaterial Goods. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface GBActivityWindowController : NSWindowController {
	id delegate;
	NSMutableArray *items;
	IBOutlet NSArrayController *controller;
}

- (id)initWithDelegate:(id)del;

@property(assign) id delegate;
@property(retain) NSMutableArray *items;


- (IBAction)cancelItem:(id)sender;
- (NSMutableDictionary *)newItem;
- (void)addItem:(NSMutableDictionary *)item;
- (void)removeItem:(NSMutableDictionary *)item;
- (void)reframe;

@end
